Subject: [Sigtran] M2PA: Revised section 5-5.1

From: Tom George <[email-masked]>
Date: Fri, 07 Mar 2003 21:18:11 -0600

(I made some changes here, too.)

5.  Examples of M2PA Procedures

In general, messages passed between MTP3 and M2PA are the same as
those passed between MTP3 and MTP2.  M2PA interprets messages from
MTP3 and sends the appropriate message to SCTP. Likewise, messages
from SCTP are used to generate a meaningful message to MTP3.

Note that throughout this section, the primitives between MTP3 and
M2PA are named using the MTP terminology [Q.700] [Q.701] [Q.702]
[Q.703] [Q.704] [Q.705]. Communications between M2PA and SCTP are
named using SCTP terminology.

5.1  Link Initialization (Alignment)

An example of the message flow to bring an SS7 link in service is
shown in Figures 12 and 13. Alignment is done by both ends of the
link. To simplify the diagram, alignment is shown on one end
only. Some messages from the remote end are not shown. It is assumed
in this example that SCTP has been initialized.

    MTP3        M2PA        SCTP        SCTP        M2PA        MTP3
    ----        ----        ----        ----        ----        ----
     .           .           .           .           .           .
     .           Associate   .           .           .           .
     .           ------------>           .           .           .
     .           .           .           .           .           .
     .           .           (SCTP Association       .           .
     .           .            procedure)             .           .
     .           .           .           .           .           .
     .           Communication Up        Communication Up        .
     .           <------------           ------------>           .
     .           .           .           .           .           .
     .           Link Status Out of Service          .           .
     .           ------------------------------------>           .
     .           .           .           .           .           .
     Emergency OR            .           .           .           .
     Emergency Ceases        .           .           .           .
     ------------>           .           .           .           .
     .           .           .           .           .           .
     Start       .           .           .           .           .
     ------------>           .           .           .           .
     .           .           .           .           .           .
     .           .           .           .           .           .
     .           Link Status Alignment   .           .           .
     .           ------------------------------------>           .
     .           .           .           .           .           .
     .           Start timer T2          .           .           .
     .           .           .           .           .           .
     .           .           .   Link Status Alignment           .
     .           <------------------------------------           .
     .           .           .           .           .           .
     .           Stop timer T2           .           .           .
     .           .           .           .           .           .

     Proving period begins. 

       Figure 12.  Example: Link Initialization - Alignment

    MTP3        M2PA        SCTP        SCTP        M2PA        MTP3
    ----        ----        ----        ----        ----        ----
     .           .           .           .           .           .
     .           Start timers T3, T4     .           .           .
     .           .           .           .           .           .
     .           .           .     Link Status Proving           .
     .           <------------------------------------           .
     .           .           .           .           .           .
     .           Stop timer T3           .           .           .
     .           .           .           .           .           .
     .           Link Status Proving     .           .           .
     .           ------------------------------------>           .
     .           ------------------------------------>           .
     .           ------------------------------------>           .
     .           ------------------------------------>           .
     .           ------------------------------------>           .
     .           ------------------------------------>           .
     .           .           .           .           .           .
     .           Timer T4 expires        .           .           .
     .           .           .           .           .           .

     Send Link Status Ready (one or more) and wait for the remote end
     to complete its proving period.

     .           .           .           .           .           .
     .           Start timer T1          .           .           .
     .           .           .           .           .           .
     .           Link Status Ready       .           .           .
     .           ------------------------------------>           .
     .           .           .           .           .           .
     .           .           .           .           .           .
     .           .           .       Link Status Ready           .
     .           <------------------------------------           .
     .           .           .           .           .           .
     .           Stop timer T1           .           .           .
     .           .           .           .           .           .
     In Service              .           .           In Service
     <------------           .           .           ------------>
     .           .           .           .           .           .

     MTP3 MAY begin sending data messages.

            Figure 13.  Example: Link Initialization - Proving

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Subhashini" <[email-masked]>
Date: Tue, 11 Mar 2003 12:37:26 -0600

After entering into "Proving" state on getting LS Alignment, timers T3 and
T4 are started. Timer T3 is stopped only on getting LS proving from other
end.
But, as per the procedure, both the ends will be waiting for LS proving from
its peer. I do not understand, when to send LS proving to other end.

The fig in section 5.1 shows only the reception of LS Proving. The LS
proving is sent only after stopping timer T3, but timer T3 is stopped only
on getting LS proving.

Please clarify.

thanks,
Subhashini ...